#include <bits/stdc++.h>

using namespace std;
#define int long long

const int N = 510000;

int n, k, a[N];

int32_t main() {
    ios::sync_with_stdio(0); cin.tie(0);
    cin >> n >> k;
    for (int i = 1; i <= n; i++)
        cin >> a[i];
    sort(a + 1, a + n);
    int ans = 0;
    for (int i = n - k + 1; i <= n; i++)
        ans += a[i];
    cout << ans + n;
}

